<?php
	// This theme uses post thumbnails
	add_theme_support( 'post-thumbnails' );

	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );

	// Make theme available for translation
	// Translations can be filed in the /languages/ directory
	load_theme_textdomain( 'twentyten', TEMPLATEPATH . '/languages' );

	$locale = get_locale();
	$locale_file = TEMPLATEPATH . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'top' => __( 'Top Menu', 'bright-credit' ),
		'bottom' => __( 'Bottom Menu', 'bright-credit' ),
	) );


/**
 * Register widgetized areas
 * @uses register_sidebar
 */
function twentyten_widgets_init() {
	// Area 1
	register_sidebar( array(
		'name' => __( 'Top Banner', 'bright-credit' ),
		'id' => 'top-banner-widget-area',
		'description' => __( 'Blue banner with signup form and banner picture', 'bright-credit' ),
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	// Area 2
	register_sidebar( array(
		'name' => __( 'Bottom Banner', 'bright-credit' ),
		'id' => 'bottom-banner-widget-area',
		'description' => __( 'Red banner with signup form and widgets', 'bright-credit' ),
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',

		) );

	// Area 3
	register_sidebar( array(
		'name' => __( 'Sidebar Widget Area', 'bright-credit' ),
		'id' => 'sidebar-widget-area',
		'description' => __( 'Sidebar widgets', 'bright-credit' ),
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	// Area 4
	register_sidebar( array(
		'name' => __( 'Footer Widget Area', 'bright-credit' ),
		'id' => 'footer-widget-area',
		'description' => __( 'Area for footer text', 'bright-credit' ),
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

}
/** Register sidebars by running twentyten_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'twentyten_widgets_init' );

?>